Package com.smartgwt.client.types

# Enum SettledPromiseStatus

java.lang.Object
java.lang.Enum<SettledPromiseStatus>
com.smartgwt.client.types.SettledPromiseStatus

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SettledPromiseStatus>`, `Constable`

public enum SettledPromiseStatus extends Enum<SettledPromiseStatus> implements ValueEnum
The eventual state of a settled Promise.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULFILLED`
  The `Promise` fulfilled with a value.
  `REJECTED`
  The `Promise` rejected with a reason.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SettledPromiseStatus`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SettledPromiseStatus[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULFILLED

    public static final SettledPromiseStatus FULFILLED
    The `Promise` fulfilled with a value.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fulfilled".

  - ### REJECTED

    public static final SettledPromiseStatus REJECTED
    The `Promise` rejected with a reason.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rejected".

- ## Method Details

  - ### values

    public static SettledPromiseStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SettledPromiseStatus valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`